import React from 'react'

import { VmpSeverError } from 'components/Empty'
import styles from './css/ResearchIndex.module.scss'

type IResearchIndexProps = {
  researchId: string
}

/**
 * 买方研选
 */
const ResearchIndex: React.FC<IResearchIndexProps> = props => {
  const { researchId } = props

  const pageImage: { [key: string]: { background: string; url: string } } = {
    '1': { background: '#000000', url: 'https://hzstatic.hzinsights.com/cygx_web/config/researchpage1.png' }
  }

  return pageImage[researchId] ? (
    <div className={styles['research-wrapper']} style={{ background: pageImage[researchId].background }}>
      <div className="research-img-wrapper">
        <img src={pageImage[researchId].url} alt="图片" className="research-img" />
      </div>
    </div>
  ) : (
    <VmpSeverError />
  )
}

export default ResearchIndex
